Bug 16737 - Error when deleting EDIFACT message
Summary: Error when deleting EDIFACT message
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL: /cgi-bin/koha/acqui/edifactmsgs.pl
Keywords:
Depends on: 7736
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-14 18:05 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16737 - Error when deleting EDIFACT message (1.14 KB, patch)
2016-06-14 18:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16737 - Error when deleting EDIFACT message (1.25 KB, patch)
2016-06-14 18:10 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 16737 - Error when deleting EDIFACT message (1.26 KB, patch)
2016-06-19 11:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-06-14 18:05:11 UTC
If you try to delete an EDIFACT message it triggers an error:

Can't use string ("2") as a subroutine ref while "strict refs" in use at /acqui/edifactmsgs.pl line 43.
Comment 1 Kyle M Hall 2016-06-14 18:07:18 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-06-14 18:10:21 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-06-19 11:51:47 UTC
Created attachment 52537 [details] [review]
[PASSED QA] Bug 16737 - Error when deleting EDIFACT message

If you try to delete an EDIFACT message it triggers an error:

Can't use string ("2") as a subroutine ref while "strict refs" in use at
/acqui/edifactmsgs.pl line 43.

Test Plan:
1) Attempt to delete an EDIFACT message
2) Note the error
3) Apply this patch
4) Attempt to delete an EDIFACT message again
5) Note it succeeds

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-06-24 12:04:07 UTC
Pushed to master for Koha 16.11!
Comment 5 Frédéric Demians 2016-08-01 11:52:01 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-16 12:51:25 UTC
Not needed in 3.22.x